Bug 864708 - Handle autopart for s390x
Handle autopart for s390x
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-09 19:33 EDT by Jesse Keating
Modified: 2013-03-12 10:25 EDT (History)
8 users (show)

See Also:
Fixed In Version: anaconda-18.17-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-22 22:28:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2012-10-09 19:33:21 EDT
s390x makes use of many small dasd devices.  Right now it's impossible to use the autopart option as the devices are all too small for any individual one to hold a big enough root filesystem.  LVM must be used.  Having to manually select and create 14~ LVM partitions, then the filesystems on top of them is really really tedious.  (thankfully I could just re-use the existing partitions now).

I don't think a "use lvm" switch is coming for F18, perhaps we can detect s390x platform and default to lvm for the autopart?
Comment 1 Chris Lumens 2012-10-10 22:46:01 EDT
dlehman has an interesting idea for this involving falling back to AUTOPART_TYPE_LVM should AUTOPART_TYPE_PLAIN (or NONE, or whatever it's called) fail.  That would fix this up, I think.
Comment 2 Jesse Keating 2012-10-11 00:51:54 EDT
I think that would fix it up nicely, and avoid more "if s390" crap.
Comment 3 Chris Lumens 2012-10-12 12:54:42 EDT
fbc7589a05c773824888c7e74dfc3826715ec432
Comment 4 Fedora Update System 2012-10-16 23:08:25 EDT
anaconda-18.17-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.17-1.fc18
Comment 5 Fedora Update System 2012-10-17 13:29:48 EDT
Package anaconda-18.17-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-18.17-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16295/anaconda-18.17-1.fc18
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-10-17 22:37:24 EDT
anaconda-18.18-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.18-1.fc18
Comment 7 Fedora Update System 2012-10-18 11:29:34 EDT
Package anaconda-18.18-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-18.18-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16402/anaconda-18.18-1.fc18
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2012-10-19 21:33:08 EDT
anaconda-18.19-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.19-1.fc18
Comment 9 Adam Williamson 2012-11-22 22:28:54 EST
This bug looks to have been fixed for many anaconda builds now but missed being closed. If you find you are still experiencing it with Fedora 18 Beta (RC1) or later, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.